Package org.eclipse.emf.cdo.explorer.checkouts

# Interface CDOCheckoutManager.CheckoutStateEvent

All Superinterfaces:
  `CDOCheckoutManager.CheckoutEvent`, `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDOCheckoutManager`

public static interface CDOCheckoutManager.CheckoutStateEvent extends CDOCheckoutManager.CheckoutEvent
A `checkout event` fired when the `state` of a checkout has changed.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOCheckout.State`
`getNewState()`
`CDOCheckout.State`
`getOldState()`

### Methods inherited from interface org.eclipse.emf.cdo.explorer.checkouts.CDOCheckoutManager.CheckoutEvent

`getCheckout, getSource`

## Method Details

### getOldState

CDOCheckout.State getOldState()

### getNewState

CDOCheckout.State getNewState()